Page MenuHomePhabricator

Identify RelEng projects 'worthy' of a tech lead
Closed, ResolvedPublic

Event Timeline

greg created this task.Jul 6 2016, 10:35 PM
greg moved this task from Backlog to Next on the User-greg board.Jul 6 2016, 10:56 PM
greg added a comment.Jul 21 2016, 10:14 PM

I started making lists, deleting, changing, and so on, but now I'm not sure I had the right idea at the beginning.

I *think* what might actually be useful is an explicit "(tech) lead" column on our quarterly goal page, eg https://www.mediawiki.org/wiki/Wikimedia_Release_Engineering_Team/Goals/201617Q1 .

I don't think we need a tech lead for every piece of software we maintain. And as I was making lists I realized after the top 3ish things we work on, the rest is group maintained without an explicit owner which is A Good Thing. And at that point, anything that would identify "leaders" for those down-ticket things would end up just being yet-another Skill Matrix.

I'll bring this back up in our team meeting and see if people agree.

greg moved this task from Next to In Progress on the User-greg board.Jul 21 2016, 10:14 PM
hashar added a subscriber: hashar.Jul 22 2016, 8:34 AM

agree at least we have identified that the bulk of our projects are team shared and the few epic ones already have natural leaders :-}

greg added a comment.Jul 22 2016, 4:21 PM

I *think* what might actually be useful is an explicit "(tech) lead" column on our quarterly goal page, eg https://www.mediawiki.org/wiki/Wikimedia_Release_Engineering_Team/Goals/201617Q1 .

See: https://www.mediawiki.org/w/index.php?title=Wikimedia_Release_Engineering_Team%2FGoals%2F201617Q1&type=revision&diff=2196830&oldid=2181515

(not a column, but just "(Lead)" next to the appropriate name)

greg closed this task as Resolved.Jul 25 2016, 7:33 PM
greg claimed this task.

We did, they're the quarterly goals. For anything else, see the skill matrix.

greg moved this task from In Progress to Done on the User-greg board.Jul 25 2016, 7:34 PM